php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #67541 Fix Apache 2.4.10+ SetHandler proxy:fcgi:// incompatibilities
Submitted: 2014-06-30 00:27 UTC Modified: 2014-08-13 18:26 UTC
From: tyrael@php.net Assigned: tyrael
Status: Closed Package: FPM related
PHP Version: 5.6.0RC1 OS:
Private report: No CVE-ID:
 [2014-06-30 00:27 UTC] tyrael@php.net
Description:
------------
See the discussion at http://www.serverphorums.com/read.php?7,956732


Patches

Patch_for_PHP_5.3.28 (last revision 2014-07-21 08:39 UTC) by reywob@php.net)

Add a Patch

Pull Requests

Pull requests:

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2014-06-30 00:32 UTC] tyrael@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: tyrael
 [2014-06-30 00:32 UTC] tyrael@php.net
The fix for this bug has been committed.

Snapshots of the sources are packaged every three hours; this change
will be in the next snapshot. You can grab the snapshot at
http://snaps.php.net/.

 For Windows:

http://windows.php.net/snapshots/
 
Thank you for the report, and for helping us make PHP better.


 [2014-07-10 11:12 UTC] reywob@php.net
I can confirm this patch works. I'm using Apache 2.4.9 from [ppa:ondrej/apache2](https://launchpad.net/~ondrej/+archive/ubuntu/apache2) with [mod_proxy_handler](https://gist.github.com/progandy/6ed4eeea60f6277c3e39) manually compiled.

So others can verify my findings I've posted my test script at https://gist.github.com/pbowyer/bba54cbf01cf6b250c71.

# Results

Under PHP 5.6.0RC2:

```
PHP Version: 5.6.0RC2
ORIG_SCRIPT_NAME: 
SCRIPT_NAME: /index.php
ORIG_SCRIPT_FILENAME: 
SCRIPT_FILENAME: /var/www/example.com/htdocs/index.php
PATH_INFO: /sample/test
ORIG_PATH_INFO: 
```

Under all previous versions of PHP (tested 5.5.10 and 5.3.28):

```
File not found.
```

I would love to see this backported as far as PHP 5.3. If not, I'm going to have to manually patch my 5.3 builds.
 [2014-07-21 08:39 UTC] reywob@php.net
The following patch has been added/updated:

Patch Name: Patch_for_PHP_5.3.28
Revision:   1405931988
URL:        https://bugs.php.net/patch-display.php?bug=67541&patch=Patch_for_PHP_5.3.28&revision=1405931988
 [2014-07-21 08:40 UTC] reywob@php.net
I've also modified PHP 5.3.28 to use these changes and attached a patch for this.
 [2014-08-13 18:26 UTC] sixd@php.net
Some comments:

1. The original patch was recently modified.  See https://github.com/php/php-src/pull/765

2. PHP 5.3 is for security releases only (and is about to have its final release ever) so this fix won't be merged to that branch.
 [2014-08-29 10:01 UTC] dz at heroku dot com
Fixed version from #765 ported to 5.4 in ee275e34c8b303945945c650d4bc90dcc2ac0b17 / b206b0e29d2cf9a41b94befedfefd806a71d0846 and merged to 5.5 in e55c641792df2caf813b5df3272144974e4d8fc7
 [2014-09-10 14:21 UTC] phpfpm1 at gmail dot com
The following might be related: https://bugs.php.net/bug.php?id=67998
 
PHP Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Sun Apr 30 14:01:37 2017 UTC